Bug 1197224

Summary: System sometimes gets stuck during gdm init when autologin is enabled (e.g. live images)
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: gdmAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 22CC: bruno, kamikazow, lbrabec, normand, pschindl, robatino, rstrode, satellitgo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedBlocker
Fixed In Version: gdm-3.15.91-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-03 04:20:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1043121    

Description Adam Williamson 2015-02-27 20:52:17 UTC
This one's pretty easy to reproduce: on a Fedora 22 or Rawhide system with gdm, enable autologin, then boot a few times.

You can also reproduce it just by booting any recent 22 Workstation live image a few times.

As long as 'rhgb quiet' are on the cmdline, sometimes the system will get stuck at the point when gdm should kick in and bring up the desktop, with the bootsplash showing. You can't switch to another VT. You can, however, ssh in.

Nominating this as an Alpha blocker for its impact on lives: it's a conditional violation of "Release-blocking live images must boot to the expected boot menu, and then to a desktop or to a login prompt where it is clear how to log in to a desktop." - https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Expected_image_boot_behavior . Quite often, the Workstation live images do not do that.

Ray says this commit fixes it:

https://git.gnome.org/browse/gdm/commit/?id=d870ed4db67bb32f2c1e97677f50894735feef5b

and it should be in 3.15.91, which he's in the process of releasing right now.

Comment 1 Fedora Update System 2015-02-27 23:49:37 UTC
gdm-3.15.91-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gdm-3.15.91-1.fc22

Comment 2 Fedora Update System 2015-02-28 16:42:00 UTC
Package gdm-3.15.91-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdm-3.15.91-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2882/gdm-3.15.91-1.fc22
then log in and leave karma (feedback).

Comment 3 Adam Williamson 2015-03-02 06:54:19 UTC
Forgot to actually nominate as a blocker...

Comment 4 Lukas Brabec 2015-03-02 12:35:35 UTC
Bug is present in F22 Alpha TC7, however, update gdm-3.15.91-1.fc22 fixes the problem.

Comment 5 Petr Schindler 2015-03-02 18:17:00 UTC
Discussed at today's blocker review meeting [1].

This bug was accepted as Alpha Blocker - This bug is a conditional violation of the following alpha criterion: "Release-blocking live images must boot to the expected boot menu, and then to a desktop or to a login prompt where it is clear how to log in to a desktop."

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-02/

Comment 6 Fedora Update System 2015-03-03 04:20:20 UTC
gdm-3.15.91-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Markus S. 2015-03-21 01:49:57 UTC
Did this bug make it into the alpha image?
I experience a bug like this with my Intel + Radeon notebook (Radeon is 2nd GPU) and I'm not sure if it's a new bug or this one.